For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • POSTSearch Tools
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Search

Search Tools

POST
https://ah-api.merge.dev/api/v1/tool-packs/:tool_pack_id/registered-users/:registered_user_id/search
POST
/api/v1/tool-packs/:tool_pack_id/registered-users/:registered_user_id/search
$curl -X POST https://ah-api.merge.dev/api/v1/tool-packs/134e0111-0f67-44f6-98f0-597000290bb3/registered-users/91b2b905-e866-40c8-8be2-efe53827a0aa/search \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "intent": "I need to create a new ticket in our project management system",
> "connector_slugs": [
> "linear"
> ],
> "max_results": 10
>}'
200Search Request Example
1{
2 "tools": [
3 {
4 "name": "create_issue",
5 "fully_qualified_name": "linear__create_issue",
6 "human_name": "create_issue",
7 "description": "Creates a new issue in Linear",
8 "input_schema": {
9 "type": "object",
10 "required": [
11 "input"
12 ],
13 "properties": {
14 "input": {
15 "type": "object",
16 "properties": {
17 "title": {
18 "type": "string"
19 },
20 "teamId": {
21 "type": "string"
22 }
23 }
24 }
25 }
26 },
27 "relevance_score": 0.95,
28 "reasoning": "The 'create_issue' tool directly matches the user's intent to create a new ticket in Linear."
29 },
30 {
31 "name": "create_issue",
32 "fully_qualified_name": "jira__create_issue",
33 "human_name": "create_issue",
34 "description": "Creates a new issue in Jira",
35 "input_schema": {
36 "type": "object",
37 "required": [
38 "input"
39 ],
40 "properties": {
41 "input": {
42 "type": "object",
43 "properties": {
44 "summary": {
45 "type": "string"
46 },
47 "projectKey": {
48 "type": "string"
49 }
50 }
51 }
52 }
53 },
54 "relevance_score": 0.88,
55 "reasoning": "The 'create_issue' tool in Jira can be used to create tickets in the project management system."
56 }
57 ],
58 "total_results": 2,
59 "intent": "I need to create a new ticket in our project management system"
60}
Search for tools based on user intent
Was this page helpful?
Previous

MCP Endpoint - List Tools & Call Tool

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

registered_user_idstringRequiredformat: "uuid"
Agent Handler ID of the Registered User
tool_pack_idstringRequiredformat: "uuid"
Agent Handler ID of the Tool Pack

Request

This endpoint expects an object.
intentstringRequired<=500 characters
User's intent or what they want to accomplish
connector_slugslist of stringsOptional
Optional list of connector slugs to filter the search
max_resultsintegerOptional1-50Defaults to 10
Maximum number of results to return

Response

Successfully found tools matching the intent
toolslist of objects
total_resultsinteger
intentstring